nl.topicus.jdbc

## Class CloudSpannerConnection.CloudSpannerDatabaseSpecification

- java.lang.Object
- - nl.topicus.jdbc.CloudSpannerConnection.CloudSpannerDatabaseSpecification

Enclosing class:
  CloudSpannerConnection

    public static class CloudSpannerConnection.CloudSpannerDatabaseSpecification
    extends Object

### Field Summary

Fields
`String` `database`
`String` `instance`
`String` `project`

### Constructor Summary

Constructors
Constructor and Description
`CloudSpannerDatabaseSpecification(String instance, String database)`
`CloudSpannerDatabaseSpecification(String project, String instance, String database)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### project

    public final String project

#### instance

    public final String instance

#### database

    public final String database

### Constructor Detail

#### CloudSpannerDatabaseSpecification

    public CloudSpannerDatabaseSpecification(String instance,
                                             String database)

#### CloudSpannerDatabaseSpecification

    public CloudSpannerDatabaseSpecification(String project,
                                             String instance,
                                             String database)